## quantum 2012.2

=== debian/changelog ===
quantum (2012.2-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release. 

  [ Adam Gandelman ]
  * debian/cron.d/quantum-{l3, dhcp]-agent-netns-cleanup: Schedule hourly
    cleanups of leaked Quantum network namespsaces using the
    quantum-netns-cleanup utility.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Sep 2012 13:19:33 -0500

quantum (2012.2~rc3-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Sep 2012 15:14:31 -0500

quantum (2012.2~rc2-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/quantum-server.{default, upstart}: Use default file to specify
    path to plugin config, which is passed to quantum-server as
    '--config-file' during startup. (LP: #1009294)
  * debian/control:
    - Remove quantum-server's dependency on 'quantum-plugin'.
    - Specify >= 1:0.1.0.1-0ubuntu1 requirement for python-quantumclient.
    - Add dnsmasq dependencies to quantum-dhcp-agent Depends.

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Sep 2012 13:01:18 -0500

quantum (2012.2~rc1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debain/*.postrm: Fix argument-less calls to update-rc.d, redirect
    to /dev/null.  (LP: #1047560)
  * debian/quantum-server.upstart: Invoke start-stop-daemon properly.
    (LP: #1047404)
  * debain/*.postrm, *.upstart: Ensure files are named for corresponding
    agent package, not plugin package.
  * debian/control:
    - Group agents with plugins.
    - Fix some copy/paste mistakes.
    - Set dependencies between agents and corresponding plugins.
    - Recommend quantum-plugin-openvswitch for quantum-server.
    - Require the same version of quantum-common and python-quantum.
    - Add quantum-netns-cleanup utility to quantum-common.
  * debian/patches/fix-quantum-configuration.patch: Use correct database
    for linuxbridge plugin, use OVS plugin by default, call quantum-rootwrap
    correctly. (LP: #1048668)
  * Fix all use of /usr/sbin, things should go in /usr/bin.
  * Remove dhcp and l3 plugins, they are not actually plugins.
  * Rename packages quantum-plugin-{l3, dhcp}-agent to
    quantum-{l3, dhcp}-agent.
  * debain/quantum-*-agent.upstart: Specify config files as a
    parameter to --config-file, specify log files for all.
  * debian/*.logrotate: Add logrotate configs for server and agents.
  * Install quantum_sudoers with quantum-common, not quantum-server.
  * Install rootwrap filters only with the packages that require them.
  * debian/*-agent.upstart: Specify --config-file=/etc/quantum/quantum.conf
    in addition to plugin-specific config.  Specify log files for all agents.
  * Allow group 'adm' read access to /var/log/quantum.
  * debian/quantum-server.postinst: Drop, all has been moved to quantum-common.
  * Add packaging for quantum-plugin-nec.

  [ Chuck Short ]
  * New usptream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Sep 2012 13:41:20 -0500

quantum (2012.2~rc1~20120907.1154-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control: Add missing python-keystone dependency.
  * wrap-and-sort.

  [ Chuck Short ]
  * debian/rules:
    - Run testsuite on build.
    - Use get-orig-source.
    - Add python-amqplib, python-anyjson, python-httplib2, python-iso8601,
      python-kombu, python-lxml, python-netadr, python-pyudev to build depends
      and run time deps.
    - Add python-mock, python-mox, and python-unitest2 to build deps.
    - Add adduser as a dep to quantum-common.
  * debian/control: Bump standards version to 3.9.3
  * debian/quantum-common.install: Add missing configuration files.
    (LP: #988999)
  * debian/quantum-plugin-linuxbridge.install: Make isntallable.
  * Add manpages: gratitously ripped from debian.
  * Fix up lintian warnings. (LP: #1025203), (LP: #1021921)
  * Add metaplugin plugin.
  * debian/patches/fix-namespace.patch: Dropped it was causing
    python namespace issues.
    (LP: #1045064)
  * debian/*.upstart:
    - Specify configuration file and log directory.
    - Start on the right transition.
  * debian/rules:
    - Allow to disable testsuite.
    - Dont fail if the testsuite fails.
  * debian/patches/fix-quantum-configuration.patch: Fix configuration files.
  * Add packaging for quantum-plugin-l3 and quantum-plugin-l3-agent
  * Add packaging for quantum-plugin-dhcp-agent and quantum-plugin-dchp-agent
  * debian/patches/fix-ubuntu-tests.patch: Fix testsuite failures.

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Add python-configobj as a build and run time dependency. Recently added
    tests need it, and the Cisco plugin has needed it for a while.
  * Fix Launchpad URLs in debian/watch.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 18:50:09 -0500

quantum (2012.2~f3-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Aug 2012 10:42:58 -0500
