## quantum 2012.2.4

=== debian/changelog ===
quantum (2012.2.4-0ubuntu1.1~cloud0) precise-folsom; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 07 May 2014 06:02:37 -0400

quantum (2012.2.4-0ubuntu1.1) quantal-security; urgency=medium

  * SECURITY UPDATE: ssl not enforced when qpid_protocol is set to ssl
    - debian/patches/CVE-2013-6491.patch: set the right parameter in
      quantum/openstack/common/rpc/impl_qpid.py.
    - CVE-2013-6491

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Mar 2014 14:41:59 -0400

quantum (2012.2.4-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (96680c96) (LP: #1179707):
    - [527b5ec] Folsom NEC plugin fails to create a network/port on some version
      of PFC due to too long string LP: 1166077
    - [346aae3] Folsom NEC plugin: Cannot create a tenant on some version of
      OpenFlow controller LP: 1166076
    - [a31069a] Network cannot be created in NEC plugin when OFC network ID is
      unique inside a tenant LP: 1127664
    - [a109f7e] Folsom l3 agent unable to connect to quantum service LP: 1157090
    - [913586b] MyISAM does not perform cascading deletions LP: 1153594
    - [5a2ef81] Openstack quantum, race condition in ip address creation when
      starting 50 VMs on a 5-node cluster LP: 1110807
    - [f94b149] Deleting a subnet that is added to a router leaves behind a port
      that cannot be deleted LP: 1104337
    - [b14824f] Address re-allocation before DHCP lease's expire LP: 1116500
    - [30bb632] file descriptors not closed when executing sub-processes
      LP: 1130735
    - [5d26f41] DHCP agent could take upto a minute to get its IP address
      LP: 1128180
    - [2f32795] dhcp-agent distributes empty domain when dhcp_domain=""
      LP: 1099625
    - [8755cb3] ovs and netns cleanupo utilities do not log LP: 1118517
    - [45baf03] l3_agent destroys all namespaces on init, even if router_id is
      set (LP: #1122206)

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 25 Apr 2013 17:52:50 -0400

quantum (2012.2.3-0ubuntu2) quantal-proposed; urgency=low

  * debian/quantum-common.install: Install the quantum-ovs-cleanup script
    that was backported to stable/folsom (LP: #1116671).

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 01 Mar 2013 11:12:34 -0800

quantum (2012.2.3-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (d2a85e65) (LP: #1116671):
    - [a84ba7e] Quantum port update invokes invalid method LP: 1109001
    - [b56c2c9] Linuxbridge plugin: when admin status is set to False, port
      status is still ACTIVE LP: 1099065
    - [fe0ae7a] OVS cleanup utility does not use the correct root_helper
      LP: 1105193
    - [1a24b68] quantum server does not honor default_notification_level
      LP: 1089773
    - [24244c1] Gateway validation on subnet LP: 1096532
    - [2730e47] tenant cannot set his router's gateway port on an external
      network owned by other tenant LP: 1087243
    - [4c9326a] Invalid output when deleting a subnet with a port attached
      LP: 1093754
    - [9f1bf8d] quantum-plugin-nicira miss a dependency (LP: #1097451)
    - [579727a] ipallocationpools remains after subnet deletion LP: 1091946
    - [5f8dd88] Printing a list of networks terminates with exception
      LP: 1093637
    - [9c3812f] Update router gateway successful with existed floatingip
      association LP: 1081877
    - [5df31af] quantum-dhcp-agent should pass --conf-file with no argument to
      dnsmasq when no configure file specified instead not pass --conf-file at
      all LP: 1094183
    - [88261ce] the local vairable physical_network should be
      alloc.physical_network LP: 1091664
    - [43ece8f] Internal interfaces defined via OVS are not brought up properly
      after a reboot LP: 1091605
    - [a587abc] no check prevents deletion of router interface needed by a
      floating ip LP: 1081325
    - [d973a35] Pin pep8 to v1.3.3.
    - [19b5904] DHCP agent does not listen on a unique queue LP: 1084621
    - [0e05ddd] dhcp.filters needs ovs_vsctl permission LP: 1090072
    - [16e128c] Bump next version to 2012.2.3
    - [30572ac] Quantum-l3-agent leaves multiple NAT rules for same floating IP
      LP: 1083990
    - [01ea272] delete router fails with internal sever error when floatingip
      association remains LP: 1080638
    - [8017d09] Fix rpc control_exchange regression.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed, added skipTests for
    linuxbridge tests that attempt to setup udev monitors.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 05 Feb 2013 13:58:49 -0400
