=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/quantum/+download https://launchpad.net/quantum/.*/.*/.*/quantum-(.*)\.tar\.gz
http://tarballs.openstack.org/quantum/ quantum-(\d.*).tar.gz
