## quantum 2013.1~g2

=== debian/changelog ===
quantum (2013.1~g2-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * New upstream version. 
  * debian/patches/fix-quantum-configuration.patch: Refreshed.

  [ Yolanda Robla ]
  * debian/quantum-l3-agent.quantum-metadata-agent.upstart: Add
    upstart configuration for Metadata Agent.
  * debian/quantum-l3-agent.install: Added quantum-ns-metadata-proxy,
    quantum-metadata-agent and metadata_agent.ini.
  * debian/patches/fix-quantum-configuration.patch: Update rootwrap
    configuration in metadata_agent.ini file.
  * debian/changelog: Updated package version
  * d/p/fix-quantum-configuration.patch: refresh patches

  [ James Page ]
  * d/*.install: Install entry points from bin directory instead
    of easy-install ones generated during the package build process
    (LP: #1085038).
  * d/control: Drop BD on python-dev-all; its not required.
  * d/rules: Install multiple upstart configurations for quantum-l3-agent.
  * d/control: Tidy package descriptions.
  * d/*.postrm: Drop as debhelper will generate update-rc.d calls in
    maintainer scripts if required.
  * d/quantum-common.postinst: Tweak permissions setting so that /etc/quantum
    is not owned/writable by the quantum user, ensure that /etc/quantum/rootwrap*
    is owned by root:root.
  * d/*agent*.postinst: Dropped as permissions now correctly set in
    quantum-common.
  * d/patches/fix-quantum-configuration.patch: Re-add dropped fixes rootwrap and
    sqlite defaults for all plugins.
  * d/control: Added new BD on alembic (>= 0.4.1~), version python-mock >= 1.0b1.

  [ Maru Newby ]
  * debian/control: Remove unnecessary openvswitch-vswitch dependency
    from quantum-plugin-openvswitch (LP: #1076747).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Jan 2013 09:14:35 -0600

quantum (2013.1~g1-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/patches/*: Refreshed for opening of Grizzly.

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: FTFBS if there is missing binaries.
  * debian/quantum-server.install: Add quantum-debug.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Nov 2012 09:43:14 -0600
