=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,13 @@
 %:
 	dh $@  --with python2
 
-override_dh_auto_install:
-	dh_auto_install
+override_dh_install:
+	dh_install --fail-missing -X/usr/etc -X/usr/bin
+
+override_dh_installinit:
+	dh_installinit -pquantum-l3-agent --name=quantum-l3-agent
+	dh_installinit -pquantum-l3-agent --name=quantum-metadata-agent
+	dh_installinit
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
